System.Design 1.0.5000.0 2.0.0.0 System.Web.UI.Design.ReadWriteControlDesigner

The control is used as a container for other controls, especially when controls are generated programmatically.

The class provides design-time support for controls in a visual designer. However, for all new implementations of the Panel control, use the instead of the .

In a visual designer, when you switch from Source to Design view, the markup source code that describes the associated control is parsed and a design-time version of the control is created on the design surface. When you switch back to Source view, the design-time control is persisted to markup source code and edited into the markup for the Web page.

The method maps a specified property and value to a specified markup style. The method provides notification when a behavior is attached to the designer.

Provides design-time support in a visual designer for the control.

- Constructor

  The .NET Framework internally constructs a new instance of the class when it creates the associated control or a copy of that control on the design surface.

  Initializes a new instance of the class.

  1.0.5000.0
  2.0.0.0
- Method
  System.Void `` `` To be added. To be added.

  The method provides special handling for the and properties, but calls the base method for all other values of the parameter.

  Maps a specified property and value to a specified markup style.

  1.0.5000.0
  2.0.0.0
- Method
  System.Void

  The method calls the base method. Then the maps the and properties to the appropriate style by using the method, if these properties are defined.

  Provides notification when a behavior is attached to the designer.

  1.0.5000.0
  2.0.0.0